<!DOCTYPE html>
<html>
<head>
  <meta name="HandheldFriendly" content="true"/>
  <meta name="viewport" content="width=device-width, user-scalable=no"/>
  <link rel="stylesheet" href="styles.css" />
  <title>Teggy cloud designs</title>
</head>
<body>

<div id="content" class="content">
<h3>Design #1 : H&eacute;bergement de contenu web statique sur S3 et servi par un domaine tiers</h3> <br>
<div class="imgbox">
    <img src='diagram-1.png'>
</div>

<br>
<br>
<br>
<br>

<h3>Design #2 : Supervision de noeuds linux via grafana h&eacute;berg&eacute; sur ec2 et agents telegraf</h3>

<p>
Pour un besoin de supervision de noeuds linux, l'architecture suivante est mise en place:<br>
  <span class="indent_one">1. deploiement d'agents telegraf sur chaque noeud et configuration de ces agents pour pousser des donn&eacute;es de supervision (cpu, m&eacute;moire, temperature, etc.) vers AWS Timestream</span><br>
  <span class="indent_one">2. &eacute;tant donn&eacute; que le dashboard de supervision n'a pas besoin d'etre disponible 24/7, le dashboard de supervision, implement&eacute; sur Grafana, est mis &agrave; disposition &agrave; la demande:</span><br>
    <span class="indent_two">a. &agrave; la demande, l'utilisateur appelle un url Api Gateway</span><br>
    <span class="indent_two">b. cet url d&eacute;clenche une fonction lambda</span><br>
    <span class="indent_two">c. la fonction lambda cr&eacute;e un spot request pour une instance EC2 en utilisant</span><br>
      <span class="indent_three">un launch template bas&eacute; sur une AMI customiz&eacute;e (l'AMI embarque le binaire grafana et le dashboard grafana);</span><br>
        <span class="indent_four">le user data du launch template fait un appel api cli &agrave; </span><br>
          <span class="indent_four">Cloudwatch pour cr&eacute;er une alarme afin de terminer l'instance si le CPU descend sous 1%</span><br>
    <span class="indent_two">d. au lancement de l'instance EC2, grafana est d&eacute;marr&eacute;e et l'utilisateur peut se connecter au dashboard et peut consulter le dashboard.</span><br>
</p>

<!--img src="diagram.png"/><br-->
</div>

<div class="imgbox">
    <!--img class="center-fit" src='diagram.png'-->
    <img src='diagram.png'>
</div>

<a href="https://graf.auth.eu-west-1.amazoncognito.com/oauth2/authorize?client_id=48gmkm0jmobpn618buue268op2&response_type=token&scope=email+openid&redirect_uri=https://jessyi68xk.execute-api.eu-west-1.amazonaws.com/graf-v1">Dashboard</a>
<br>
<br>
<br>
<br>

<h3>Design #3 : D&eacute;ploiement de grafana sur fargate</h3> <br>
<br>
<br>

<div class="imgbox">
    <img src='ecs-fargate.png'>
</div>

</body>
</html>
